GNU bug report logs - #34331
27.0.50; Undo too granular after C-y M-y M-y ...

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: "N. Jackson" <nljlistbox2@HIDDEN>; merged with #14693; dated Tue, 5 Feb 2019 14:12:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 34331 <at> debbugs.gnu.org:


Received: (at 34331) by debbugs.gnu.org; 5 Feb 2019 17:26:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 05 12:26:05 2019
Received: from localhost ([127.0.0.1]:33712 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gr4U1-0005KJ-Gy
	for submit <at> debbugs.gnu.org; Tue, 05 Feb 2019 12:26:05 -0500
Received: from eggs.gnu.org ([209.51.188.92]:57707)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gr4U0-0005Jq-73
 for 34331 <at> debbugs.gnu.org; Tue, 05 Feb 2019 12:26:04 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45205)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gr4Tt-0007rx-D2; Tue, 05 Feb 2019 12:25:57 -0500
Received: from [176.228.60.248] (port=2550 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gr4Tt-0000cc-5a; Tue, 05 Feb 2019 12:25:57 -0500
Date: Tue, 05 Feb 2019 19:25:47 +0200
Message-Id: <83d0o6taec.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
In-reply-to: <mvmbm3q2m9i.fsf@HIDDEN> (message from Andreas Schwab on Tue, 05
 Feb 2019 18:11:37 +0100)
Subject: Re: bug#34331: 27.0.50; Undo too granular after C-y M-y M-y ...
References: <87bm3qjpfz.fsf@HIDDEN> <mvma7ja48oj.fsf@HIDDEN>
 <83h8ditc9j.fsf@HIDDEN> <mvmbm3q2m9i.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: > From: Andreas Schwab <schwab@HIDDEN> > Cc:
 nljlistbox2@HIDDEN, 
 34331 <at> debbugs.gnu.org > Date: Tue, 05 Feb 2019 18:11:37 +0100 > > Actually,
 you *can* already easily undo a M-y by typing M-- M-y, [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 1.3 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t
X-Debbugs-Envelope-To: 34331
Cc: nljlistbox2@HIDDEN, 34331 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

> From: Andreas Schwab <schwab@HIDDEN>
> Cc: nljlistbox2@HIDDEN,  34331 <at> debbugs.gnu.org
> Date: Tue, 05 Feb 2019 18:11:37 +0100
> 
> Actually, you *can* already easily undo a M-y by typing M-- M-y, thus I
> retract my objection.

I don't retract mine, sorry.  Undo should also work in that case,
because undo is a general command, and it's IMO a nuisance to have to
invoke some other command in specific situations instead of undo.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34331; Package emacs. Full text available.

Message received at 34331 <at> debbugs.gnu.org:


Received: (at 34331) by debbugs.gnu.org; 5 Feb 2019 17:11:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 05 12:11:45 2019
Received: from localhost ([127.0.0.1]:33703 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gr4G8-0004yl-TY
	for submit <at> debbugs.gnu.org; Tue, 05 Feb 2019 12:11:45 -0500
Received: from mx2.suse.de ([195.135.220.15]:33652 helo=mx1.suse.de)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <schwab@HIDDEN>) id 1gr4G7-0004yZ-6B
 for 34331 <at> debbugs.gnu.org; Tue, 05 Feb 2019 12:11:43 -0500
X-Virus-Scanned: by amavisd-new at test-mx.suse.de
Received: from relay2.suse.de (unknown [195.135.220.254])
 by mx1.suse.de (Postfix) with ESMTP id 68582B6A3;
 Tue,  5 Feb 2019 17:11:37 +0000 (UTC)
From: Andreas Schwab <schwab@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#34331: 27.0.50; Undo too granular after C-y M-y M-y ...
References: <87bm3qjpfz.fsf@HIDDEN> <mvma7ja48oj.fsf@HIDDEN>
 <83h8ditc9j.fsf@HIDDEN>
X-Yow: ..  are the STEWED PRUNES still in the HAIR DRYER?
Date: Tue, 05 Feb 2019 18:11:37 +0100
In-Reply-To: <83h8ditc9j.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 05 Feb
 2019 18:45:28 +0200")
Message-ID: <mvmbm3q2m9i.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -1.0 (-)
X-Debbugs-Envelope-To: 34331
Cc: nljlistbox2@HIDDEN, 34331 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.0 (--)

On Feb 05 2019, Eli Zaretskii <eliz@HIDDEN> wrote:

>> From: Andreas Schwab <schwab@HIDDEN>
>> Date: Tue, 05 Feb 2019 15:22:04 +0100
>> Cc: 34331 <at> debbugs.gnu.org
>> 
>> On Feb 05 2019, "N. Jackson" <nljlistbox2@HIDDEN> wrote:
>> 
>> > After pasting with C-y M-y M-y M-y ... , undo should (I think) undo the
>> > paste.
>> 
>> I disagree.  That would make it awkward to undo if you typed one M-y too
>> much.  To remove the whole paste you can also use C-w.
>
> I agree.  Both use cases are valid, so if we change something, we
> should do it in a way that doesn't close the door for any of them.

Actually, you *can* already easily undo a M-y by typing M-- M-y, thus I
retract my objection.

Andreas.

-- 
Andreas Schwab, SUSE Labs, schwab@HIDDEN
GPG Key fingerprint = 0196 BAD8 1CE9 1970 F4BE  1748 E4D4 88E3 0EEA B9D7
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34331; Package emacs. Full text available.

Message received at 34331 <at> debbugs.gnu.org:


Received: (at 34331) by debbugs.gnu.org; 5 Feb 2019 16:45:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 05 11:45:48 2019
Received: from localhost ([127.0.0.1]:33698 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gr3r1-00033V-Ll
	for submit <at> debbugs.gnu.org; Tue, 05 Feb 2019 11:45:48 -0500
Received: from eggs.gnu.org ([209.51.188.92]:41529)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gr3r0-0002xC-CZ
 for 34331 <at> debbugs.gnu.org; Tue, 05 Feb 2019 11:45:46 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:43935)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gr3qs-0001FW-NK; Tue, 05 Feb 2019 11:45:39 -0500
Received: from [176.228.60.248] (port=3968 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gr3qs-0005Ir-B4; Tue, 05 Feb 2019 11:45:38 -0500
Date: Tue, 05 Feb 2019 18:45:28 +0200
Message-Id: <83h8ditc9j.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
In-reply-to: <mvma7ja48oj.fsf@HIDDEN> (message from Andreas Schwab on Tue, 05
 Feb 2019 15:22:04 +0100)
Subject: Re: bug#34331: 27.0.50; Undo too granular after C-y M-y M-y ...
References: <87bm3qjpfz.fsf@HIDDEN> <mvma7ja48oj.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  > From: Andreas Schwab <schwab@HIDDEN> > Date: Tue, 05 Feb
 2019 15:22:04 +0100 > Cc: 34331 <at> debbugs.gnu.org > > On Feb 05 2019,
 "N. Jackson"
 <nljlistbox2@HIDDEN> wrote: > > > After pasting with C-y [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 1.3 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t
X-Debbugs-Envelope-To: 34331
Cc: nljlistbox2@HIDDEN, 34331 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

> From: Andreas Schwab <schwab@HIDDEN>
> Date: Tue, 05 Feb 2019 15:22:04 +0100
> Cc: 34331 <at> debbugs.gnu.org
> 
> On Feb 05 2019, "N. Jackson" <nljlistbox2@HIDDEN> wrote:
> 
> > After pasting with C-y M-y M-y M-y ... , undo should (I think) undo the
> > paste.
> 
> I disagree.  That would make it awkward to undo if you typed one M-y too
> much.  To remove the whole paste you can also use C-w.

I agree.  Both use cases are valid, so if we change something, we
should do it in a way that doesn't close the door for any of them.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34331; Package emacs. Full text available.

Message received at 34331 <at> debbugs.gnu.org:


Received: (at 34331) by debbugs.gnu.org; 5 Feb 2019 15:40:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 05 10:40:36 2019
Received: from localhost ([127.0.0.1]:33628 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gr2pv-0000kz-OD
	for submit <at> debbugs.gnu.org; Tue, 05 Feb 2019 10:40:35 -0500
Received: from mout.web.de ([212.227.15.14]:55395)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1gr2pt-0000kk-Pn
 for 34331 <at> debbugs.gnu.org; Tue, 05 Feb 2019 10:40:34 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1549381226;
 bh=3OphhYAe12SUBkjLSNffEICBRAYaxaDWVOsrV6OZCA0=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=GrjiD9mAnsrweWepi1NjVO2qhZ/01+svixTa2MhQw2R+DyZV4X131ceAxy327/be9
 lTp9FvM9oCd7j7Tg4y+YfQuRZJZno7I26lwdxy+ITgTdc+0pIRFbuVn/ZQUOrMWx/l
 W6kPM44SnvgLYSjWSRBAUIIjLkcJVHYzCEMGApIY=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([88.67.111.211]) by smtp.web.de (mrweb004
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0Lg3bv-1hSYN72Q1b-00pYzX; Tue, 05
 Feb 2019 16:40:26 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: "N. Jackson" <nljlistbox2@HIDDEN>
Subject: Re: bug#34331: 27.0.50; Undo too granular after C-y M-y M-y ...
References: <87bm3qjpfz.fsf@HIDDEN>
Date: Tue, 05 Feb 2019 16:40:25 +0100
In-Reply-To: <87bm3qjpfz.fsf@HIDDEN> (N. Jackson's message of
 "Tue, 05 Feb 2019 09:10:56 -0500")
Message-ID: <87tvhi9rbq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:bxkbeFuHdx3GaMpNpLmdGZ/kbZjpD6DyAa0s4U5dJri5iJfz0tM
 C52UFebVrTZ2hAjo/V8d4c4L//zCR0HMB2dkcNtqh76K5Ds6WI4amzwgWtoiyC3gR2vgL1e
 7FHXzgWydmQCWSlsOwjNnrl6A+5dIj5hYMgYSDLiaaAz3+gjUr2oIOHvkjC3gC8AJYup2GT
 ewiHMMZqy6YCO/DwYeisg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:QUDBmOBZ9QM=:CJ1zTm+7T7yXPmT0adEYQq
 D+6KrVNvXasHAotHusGxjotx+DK1SRJCiyGK2UYNrsWbuGkKcE+mChQ0hqHGctkJtRZsvqWaz
 YtgOQ09BcnIFSuofH9mblDmCF9iNbtqrZwvh4vBAsgYpesAmSSDOJsiOR/lFeGBcj0DuWT758
 Zf/tNPIr3DNP3PRwVn2lxIl1RcV5Rcl+F0j4nUcjupDkwa/ZYmj6IBlcskkxtLj+5ruXZqtaW
 CCSB3NZIhrKgmNdeSVY2ruzCf9Qivz/8pVea99P0EXacirGy253lsovFAN3Yv1qvpHxCLrzSZ
 Srk+wGpVuXGdF2ZmXBLjZRt3+vr54djzxcJnDeAd+KV281O2fKjAhatFoQsLhuN8OLwNo9TTN
 +oAgAWKFz72ItpsYNcz97tivtQP9lxJsTSpPKd+KEX7Hym92IoSPlp9a2cG9txpDRHc6yOFxo
 Ctpg+z9H/XtElx5TetnlFzj1fHp0vYpWHUSbdWmMyNUvb0mn2yKLQR70JHiVJy2p9/ujomVLA
 TNjy2vPXLz3GIzHQn5NCV4o48URnY3a6DvOJO2Ge84Sf7ESVOc8Gxb2PaLdFuE5N3Th1rzXgw
 dCs/jDwNgSDWGkaEEh0Du817c+iJmVI9tWtNgPGAXFqyGZeJN4rqIDt7M5zaxdfkqwnCv3Wsd
 TP0VL302WeP05v/HdHnvQLgbxrPIuP/79Hw2iRf7gpAh6e/WUJ1UbajDBvTco2QbcRogn424H
 xmz0gsTZiciasII3lmaWygdO9FD1U+TD9BNq1a2arynQ1fs/PjQINeDqCkDkhX1YGfspwa1Q4
 C0aDSmrCyRn1woSnlPa5+8fVJW5v5mla9AL8VdMVzvI+VHfjor2nMQp6Ux86biveizjiXpNqN
 GjCPgRVtdgT8XrF2FmyuYLAJuNimMl1omRjjJIhRSIBhTRDzwugLx9KHxYK4g7vIlRS6KOffy
 Vx9gBNkTvJg==
X-Spam-Score: 0.6 (/)
X-Debbugs-Envelope-To: 34331
Cc: 34331 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.4 (/)

"N. Jackson" <nljlistbox2@HIDDEN> writes:

> After pasting with C-y M-y M-y M-y ... , undo should (I think) undo the
> paste.  Instead, it only undoes the final M-y.  One needs to undo
> over-and-over-again to get back to the state before the paste operation
> was begun.

FWIW, with smart-yank.el in Gnu Elpa you can hit M-y twice in very fast
succession to remove the yank no matter how often you have yanked.  I
say it to mention the alternative approach (to using undo), not to
advertise.

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34331; Package emacs. Full text available.
Forcibly Merged 14693 34331. Request was from "N. Jackson" <nljlistbox2@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 34331 <at> debbugs.gnu.org:


Received: (at 34331) by debbugs.gnu.org; 5 Feb 2019 14:44:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 05 09:44:46 2019
Received: from localhost ([127.0.0.1]:60377 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gr1xu-0005VV-G8
	for submit <at> debbugs.gnu.org; Tue, 05 Feb 2019 09:44:46 -0500
Received: from mail-it1-f180.google.com ([209.85.166.180]:34302)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nljlistbox2@HIDDEN>)
 id 1gr1xs-0005VE-P2; Tue, 05 Feb 2019 09:44:45 -0500
Received: by mail-it1-f180.google.com with SMTP id x124so14856760itd.1;
 Tue, 05 Feb 2019 06:44:44 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:user-agent:mime-version;
 bh=rrp7iWGAaULK5vRFIrqSmLZYNkOcv6YETEYb5e1bhsU=;
 b=h76JDT6ExAK8r+oFhbIkNP31nU1SCbheL9bMg7pQfdpJ8/fZsJPjrvqCXMRgsos6Ud
 G9Yu2Xqkzjxe6NKML/t0cwcGq1Em+XC77YAif26J9ZCJZKOzZ8JroOBwUtYA/sMZk/Zw
 E0RE2C3h64/XXmMwfz58o9z3J6KXF8KeCaSYK/UTrPFqmVpZ2T0GqdWtqjUCdtjYPzTn
 ZbOSrE8AO9s5HqUZNi5Aozdr6AzmARJ0gP2RSa4X5m0sppsk6vpIxxnJ6/9m/LG9z0BS
 SBU+KzPKgF1kqBsbCgPQCFHufUk3zxsPV0pn/i28+l+6mzSjDJZdYVUYTemVDLA9S83R
 +1Sw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:user-agent
 :mime-version;
 bh=rrp7iWGAaULK5vRFIrqSmLZYNkOcv6YETEYb5e1bhsU=;
 b=W+uoZ1MaCZchP/XO6mVzrAE+Okv1aagkC42wCUumLVzT2OQKnX55wbEDbqx/29zV77
 v9H4vO0cMtHD6AnMQ+mVOkYJySQZvMves+mhM8YRRWeDtyPQ1ihsQB92lbpAy/+R5lRg
 +UEHLaUVGuh9fH9MhdVrvwNFMrULaOum2BOXhEQEqAnwJizS8h0ikF00Au9RVo85kg0V
 Az+G4Y9wF0GqfablQKo4Qa9KGGVwfLnTGbGcT0GUCl7P0d4En+f3JthwbgsvhpBRBWX7
 X+GXOKrihkf3M2UdvwYSqBPt+D2v8pEi6MpZGUPuDGIsf0vy+srMWxX718XdUsirWBaK
 KwLw==
X-Gm-Message-State: AHQUAua5zZ9cufVsSI/gnU45q9329bmNCZZs6HHKVjstTbXD18FB3xUf
 Kby4AW8B/g0RZk1eLXrEIkFDC4WV
X-Google-Smtp-Source: AHgI3IaKHA1ajAFMwpi+GgA45L8dFZuuBJyX95tBR2XflFg3jtcMBKkbcLfbBIzpmJyH4K4Hilz5Aw==
X-Received: by 2002:a5e:c906:: with SMTP id z6mr2704914iol.47.1549377878831;
 Tue, 05 Feb 2019 06:44:38 -0800 (PST)
Received: from moondust.localdomain.nodomain.none
 (toroon474qw-lp130-01-184-144-8-158.dsl.bell.ca. [184.144.8.158])
 by smtp.gmail.com with ESMTPSA id n143sm1735876itn.42.2019.02.05.06.44.37
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Tue, 05 Feb 2019 06:44:38 -0800 (PST)
From: "N. Jackson" <nljlistbox2@HIDDEN>
To: 34331 <at> debbugs.gnu.org
Subject: Re: bug#34331: 27.0.50; Undo too granular after C-y M-y M-y ...
Date: Tue, 05 Feb 2019 09:44:36 -0500
Message-ID: <877eeejnvv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 1.6 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  merge 14693 34331 quit Sorry,
 this is a duplicate of a pre-existing
 bug report [1]. I've attempted to merge this bug with the previous one. [I
 did actually look for a pre-existing bug report before I began, and opened
 two potential candidates (including 14693) in my browser -- then got
 distracted and never read them!] 
 Content analysis details:   (1.6 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/,
 no trust [209.85.166.180 listed in list.dnswl.org]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (nljlistbox2[at]gmail.com)
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (nljlistbox2[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.166.180 listed in wl.mailspike.net]
 1.3 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t
 0.0 FAKE_REPLY_C           No description available.
X-Debbugs-Envelope-To: 34331
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.6 (/)

merge 14693 34331
quit

Sorry, this is a duplicate of a pre-existing bug report [1]. I've
attempted to merge this bug with the previous one.

[I did actually look for a pre-existing bug report before I began, and
opened two potential candidates (including 14693) in my browser -- then
got distracted and never read them!]


[1] https://debbugs.gnu.org/cgi/bugreport.cgi?bug=14693




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34331; Package emacs. Full text available.

Message received at 34331 <at> debbugs.gnu.org:


Received: (at 34331) by debbugs.gnu.org; 5 Feb 2019 14:22:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 05 09:22:12 2019
Received: from localhost ([127.0.0.1]:60355 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gr1c4-0004wj-L4
	for submit <at> debbugs.gnu.org; Tue, 05 Feb 2019 09:22:12 -0500
Received: from mx2.suse.de ([195.135.220.15]:57630 helo=mx1.suse.de)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <schwab@HIDDEN>) id 1gr1c2-0004wW-LA
 for 34331 <at> debbugs.gnu.org; Tue, 05 Feb 2019 09:22:11 -0500
X-Virus-Scanned: by amavisd-new at test-mx.suse.de
Received: from relay2.suse.de (unknown [195.135.220.254])
 by mx1.suse.de (Postfix) with ESMTP id 03DBDB627;
 Tue,  5 Feb 2019 14:22:04 +0000 (UTC)
From: Andreas Schwab <schwab@HIDDEN>
To: "N. Jackson" <nljlistbox2@HIDDEN>
Subject: Re: bug#34331: 27.0.50; Undo too granular after C-y M-y M-y ...
References: <87bm3qjpfz.fsf@HIDDEN>
X-Yow: C'MON, everybody!!  I've flown in LESLIE GORE and two dozen KOSHER
 BUTCHERS!  They'll be doing intricate MILITARY MANEUVERS to the
 soundtrack from "OKLAHOMA"!!
Date: Tue, 05 Feb 2019 15:22:04 +0100
In-Reply-To: <87bm3qjpfz.fsf@HIDDEN> (N. Jackson's message of
 "Tue, 05 Feb 2019 09:10:56 -0500")
Message-ID: <mvma7ja48oj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -1.0 (-)
X-Debbugs-Envelope-To: 34331
Cc: 34331 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.0 (--)

On Feb 05 2019, "N. Jackson" <nljlistbox2@HIDDEN> wrote:

> After pasting with C-y M-y M-y M-y ... , undo should (I think) undo the
> paste.

I disagree.  That would make it awkward to undo if you typed one M-y too
much.  To remove the whole paste you can also use C-w.

Andreas.

-- 
Andreas Schwab, SUSE Labs, schwab@HIDDEN
GPG Key fingerprint = 0196 BAD8 1CE9 1970 F4BE  1748 E4D4 88E3 0EEA B9D7
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34331; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Feb 2019 14:11:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 05 09:11:10 2019
Received: from localhost ([127.0.0.1]:60344 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gr1RN-0004fF-WF
	for submit <at> debbugs.gnu.org; Tue, 05 Feb 2019 09:11:10 -0500
Received: from eggs.gnu.org ([209.51.188.92]:46450)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nljlistbox2@HIDDEN>) id 1gr1RL-0004f0-Gr
 for submit <at> debbugs.gnu.org; Tue, 05 Feb 2019 09:11:08 -0500
Received: from lists.gnu.org ([209.51.188.17]:51997)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <nljlistbox2@HIDDEN>)
 id 1gr1RG-000118-Bp
 for submit <at> debbugs.gnu.org; Tue, 05 Feb 2019 09:11:02 -0500
Received: from eggs.gnu.org ([209.51.188.92]:60830)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <nljlistbox2@HIDDEN>) id 1gr1RE-0004tY-Uy
 for bug-gnu-emacs@HIDDEN; Tue, 05 Feb 2019 09:11:02 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: ***
X-Spam-Status: No, score=3.0 required=5.0 tests=BAYES_50,
 FREEMAIL_ENVFROM_END_DIGIT,FREEMAIL_FROM,GAPPY_SUBJECT autolearn=disabled
 version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <nljlistbox2@HIDDEN>) id 1gr1RD-0000zW-GN
 for bug-gnu-emacs@HIDDEN; Tue, 05 Feb 2019 09:11:00 -0500
Received: from mail-it1-x12b.google.com ([2607:f8b0:4864:20::12b]:39136)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <nljlistbox2@HIDDEN>)
 id 1gr1RD-0000yx-9L
 for bug-gnu-emacs@HIDDEN; Tue, 05 Feb 2019 09:10:59 -0500
Received: by mail-it1-x12b.google.com with SMTP id a6so8428583itl.4
 for <bug-gnu-emacs@HIDDEN>; Tue, 05 Feb 2019 06:10:58 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version;
 bh=eqwP653FlJEk7i/pT7YqXlQT1ADoI4PSIZxIVrI9wuQ=;
 b=N+vec7JtKlFvMDxnr79de+zGfYpfowSh2FoRDIVgF487yxvIh/GjtomTGUQyUsQTn/
 QVJL8RsC8Bw8jwUkh+Q5G31GHF0A6SxDjvjxwCWoVGIB0gn5saUjb37nCU9NF+SyAIHp
 HPlzlYntfW4dnKlLBcy0Aog8YeiZzrls4q42ZlcugJsZOFwQXfrXKhCAZmdizo8N/NbX
 1FXEv1pe+qndu4FI9/iSGAGIBXoAUPk1r6lbEOaFtFY6HACS+zL6cl8WilIJWNGNilZh
 ylE0L3VGsuwEVKcd41/jPUEIF8PhJrG44NRdi5cA7rRAMhaE//pK7tTPgAwHwovjGof0
 UXZA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=eqwP653FlJEk7i/pT7YqXlQT1ADoI4PSIZxIVrI9wuQ=;
 b=JKL/dodo4rtuCANFR+aWzpLlH1qtLkoMas1xe629edOS+Ykg2zrPku7TWFo6M4lQHN
 Nx+kpqGwV75u6ir0wU15TCIzVCTYV/bNMDtchmnQc/0AFEQflifTKbRG7HAMEOcZi//O
 mmdCSZbFFX1QL10KWj7Iqjh3JZVx2PKI0VkkSj6SEJMoweP6tcrtrlmO3aIkp2JdMSCF
 ZazKLt55zdXvFSPAC43gE8GThYIjBNyDhDeZlcuVJse6VZqE7feu/Vlzs4XulQtZG6dB
 ZVWpLgmixtItKF7ugHBRIsnzrHO91ZxvrtOUXNFOPC5Wn/LCPf6zJSy05aFfLAgZZDJr
 fVoA==
X-Gm-Message-State: AHQUAuZI8vBHalTSokNHecKGLvSfkBar47GpCakd19GXiNu7+te0Rv3S
 4j4rfEfATehene3sK6OTdyRjgR7Q
X-Google-Smtp-Source: AHgI3IYPoJ35S8Lz6u+RtkWOu5KST3NV7oEKayKoWtltjEhtjLiTtKGMfHVxeDLdQUubFe9TcwbJBA==
X-Received: by 2002:a05:660c:781:: with SMTP id
 h1mr2178827itk.52.1549375857492; 
 Tue, 05 Feb 2019 06:10:57 -0800 (PST)
Received: from moondust.localdomain.nodomain.none
 (toroon474qw-lp130-01-184-144-8-158.dsl.bell.ca. [184.144.8.158])
 by smtp.gmail.com with ESMTPSA id k18sm1444212ioa.39.2019.02.05.06.10.56
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Tue, 05 Feb 2019 06:10:56 -0800 (PST)
From: "N. Jackson" <nljlistbox2@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.0.50; Undo too granular after C-y M-y M-y ...
Date: Tue, 05 Feb 2019 09:10:56 -0500
Message-ID: <87bm3qjpfz.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::12b
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  After pasting with C-y M-y M-y M-y ... ,
 undo should (I think)
 undo the paste. Instead, it only undoes the final M-y. One needs to undo
 over-and-over-again to get back to the state before the paste op [...] 
 Content analysis details:   (2.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (nljlistbox2[at]gmail.com)
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (nljlistbox2[at]gmail.com)
 1.3 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  After pasting with C-y M-y M-y M-y ... , undo should (I think)
    undo the paste. Instead, it only undoes the final M-y. One needs to undo
   over-and-over-again to get back to the state before the paste op [...] 
 
 Content analysis details:   (1.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (nljlistbox2[at]gmail.com)
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (nljlistbox2[at]gmail.com)
  1.3 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

After pasting with C-y M-y M-y M-y ... , undo should (I think) undo the
paste.  Instead, it only undoes the final M-y.  One needs to undo
over-and-over-again to get back to the state before the paste operation
was begun.


In GNU Emacs 27.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.22.30)
 of 2019-01-12 built on moondust.localdomain
Repository revision: c48ea7c08c95185ddce266744a1959e0ce6b04e1
Repository branch: master
Windowing system distributor 'Fedora Project', version 11.0.11906000
System Description: Fedora 28 (Workstation Edition)

Configured using:
 'configure 'CFLAGS=-O3 -g3 -gdwarf-4' --enable-checking'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND DBUS GSETTINGS GLIB NOTIFY
INOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM THREADS LCMS2 GMP

Important settings:
  value of $LANG: en_CA.UTF-8
  value of $XMODIFIERS: @im=none
  locale-coding-system: utf-8-unix

Major mode: Group

Minor modes in effect:
  hl-line-mode: t
  diff-auto-refine-mode: t
  gnus-undo-mode: t
  pdf-occur-global-minor-mode: t
  shell-dirtrack-mode: t
  recentf-mode: t
  show-paren-mode: t
  savehist-mode: t
  save-place-mode: t
  electric-pair-mode: t
  display-time-mode: t
  display-battery-mode: t
  desktop-save-mode: t
  delete-selection-mode: t
  cua-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  temp-buffer-resize-mode: t
  buffer-read-only: t
  size-indication-mode: t
  column-number-mode: t
  line-number-mode: t
  global-visual-line-mode: t
  visual-line-mode: t
  transient-mark-mode: t

Features:
(shadow emacsbug completion rect python tramp-sh tramp tramp-loaddefs
trampver tramp-compat ucs-normalize calc-arith calc-forms calc-misc
calc-alg calc-menu flow-fill smerge-mode gnus-kill mailalias smtpmail
bbdb-message sendmail thingatpt cl-print debug backtrace eieio-opt
speedbar sb-image ezimage dframe help-fns radix-tree sort gnus-cite
shr-color color mm-archive gnus-bcklg solar cal-dst holidays
hol-loaddefs cal-iso org-clock tabify org-capture gnus-async qp
mail-extr gnus-ml misearch multi-isearch hl-line nndraft nnmh utf-7
gnutls epa-file network-stream nsm nnfolder bbdb-gnus nnnil gnus-agent
gnus-srvr gnus-score score-mode nnvirtual gnus-msg gnus-art mm-uu
mml2015 mm-view mml-smime smime dig nntp gnus-cache cl-extra help-mode
dired-aux sh-script smie executable cc-mode cc-fonts cc-guess cc-menus
cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs view disp-table
enriched org-duration eww mm-url url-queue url url-proxy url-privacy
url-expand url-methods url-history url-cookie url-domsuf url-util
mailcap shr text-property-search svg xml dom browse-url vc-git diff-mode
display-line-numbers org-eldoc flyspell ispell org-w3m org-rmail org-mhe
org-irc org-info org-habit org-gnus nnir gnus-sum gnus-group gnus-undo
gnus-start gnus-cloud nnimap nnmail mail-source utf7 netrc nnoo
parse-time gnus-spec gnus-int gnus-range message rmc puny rfc822 mml
mml-sec epa derived epg mm-decode mm-bodies mm-encode mail-parse rfc2231
gmm-utils mailheader gnus-win gnus nnheader gnus-util rmail
rmail-loaddefs rfc2047 rfc2045 ietf-drums mail-utils mm-util mail-prsvr
org-docview doc-view org-bibtex bibtex org-bbdb mines cookie1 gamegrid
pdf-occur ibuf-ext ibuffer ibuffer-loaddefs tablist tablist-filter
semantic/wisent/comp semantic/wisent semantic/wisent/wisent
semantic/util-modes semantic/util semantic semantic/tag semantic/lex
semantic/fw mode-local cedet dired-x dired dired-loaddefs pdf-isearch
let-alist pdf-misc imenu pdf-tools compile cus-edit pdf-view bookmark pp
jka-compr pdf-cache pdf-info tq pdf-util image-mode org-agenda
org-element avl-tree generator org org-macro org-footnote org-pcomplete
org-list org-faces org-entities time-date noutline outline easy-mmode
org-version ob-shell shell pcomplete ob-R ob-python ob-plantuml ob-org
ob-gnuplot ob-ditaa ob-calc calc-store calc-trail calc-ext calc
calc-loaddefs calc-macs ob-awk ob-dot ob-maxima ob-latex ob ob-tangle
org-src ob-ref ob-lob ob-table ob-keys ob-exp ob-comint comint
ansi-color ring ob-emacs-lisp ob-core ob-eval org-compat advice org-macs
org-loaddefs format-spec find-func bbdb-mua bbdb-anniv diary-lib
diary-loaddefs cal-menu calendar cal-loaddefs bbdb-com crm mailabbrev
bbdb bbdb-site timezone ido edmacro kmacro recentf tree-widget wid-edit
wheatgrass-theme paren savehist saveplace elec-pair time battery desktop
frameset delsel cua-base cus-start cus-load mule-util tex-site
ess-generics info finder-inf package easymenu epg-config url-handlers
url-parse auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs
password-cache json map url-vars seq byte-opt gv bytecomp byte-compile
cconv cl-loaddefs cl-lib tooltip eldoc electric uniquify ediff-hook
vc-hooks lisp-float-type mwheel term/x-win x-win term/common-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode elisp-mode lisp-mode prog-mode register page
menu-bar rfn-eshadow isearch timer select scroll-bar mouse jit-lock
font-lock syntax facemenu font-core term/tty-colors frame cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads dbusbind
inotify lcms2 dynamic-setting system-font-setting font-render-setting
move-toolbar gtk x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 971230 175200)
 (symbols 48 115826 1)
 (strings 32 200063 27601)
 (string-bytes 1 6578751)
 (vectors 16 105294)
 (vector-slots 8 2364967 167806)
 (floats 8 1048 864)
 (intervals 56 21887 1369)
 (buffers 992 166))





Acknowledgement sent to "N. Jackson" <nljlistbox2@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#34331; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.